## alsa-lib 1.0.23

=== debian/changelog ===
alsa-lib (1.0.23-1ubuntu2.1) maverick-proposed; urgency=low

  * lp652035-fix-missing-hw-devices.patch: Apply upstream git changesets
    0244370 and c049d48 to help fix LP: #652035.
  * lp652035-use-extended-namehints.patch: Show hints for non-standard
    devices that lack configuration files.  This patch is also required
    to help fix LP: #652035 and by consequence also addresses
    LP: #425362.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 03 Oct 2010 14:56:12 -0400

alsa-lib (1.0.23-1ubuntu2) maverick; urgency=low

  * Apply upstream git changesets aadcbab through 72c7260ce
    and rediff debian/patches/relibtoolise.patch
    - correctly free dl handles, fixes LP: #552411, #584393
      (Closes: #589896)

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 29 Aug 2010 13:13:19 -0400

alsa-lib (1.0.23-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
  * Merge from debian unstable, remaining changes:
    - debian/rules:
      + Don't bail when removing include/alsa
    - debian/control: Add Vcs-Bzr URI
    - Add configuration files for bluetooth/bluez-alsa and pulseaudio
    - debian/libasound2.install: Ship smixer plugins for native and bi-arch
      packages
    - drop libcxxtools-dev build dependency, its in universe
    - add --with-plugindir=\$${prefix}/lib/alsa-lib to configure-stamp
    - Demote libc6-i386 pre-depends to depends for lib32asound2

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 19 Jul 2010 00:49:45 +1000

alsa-lib (1.0.23-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Add powerpcspe to the list of supported architectures. Hint by Sebastian
    Andrzej Siewior. (closes: #583615)
  * Introduced DEP-3 patch headers.
  * Patch Dont_leak_timer_fd_on_pcm_slave_close.patch applied from upstream.
    Removed.

  [ Jordi Mallach ]
  * Remove lpia from the list of supported architectures, as it's not used
    by Ubuntu anymore.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 Jun 2010 20:21:04 +0200

alsa-lib (1.0.23-0ubuntu1) maverick; urgency=low

  * New upstream release
    - debian/patches/:
      + Dont_leak_timer_fd_on_pcm_slave_close.patch
      + Fix-S24_3LE-softvol-distortion.patc
      + Fix-modem-on-hook.patch
      + Fix-stream-state-updates.patch
      + Fix-pcm-timer-open-subdevice-pcm_hw.patch
      + b9dbee6-Fix-threading-drain.patch
        - Dropped
      + Fix-str-lit-no-format.patch
      + lp433573-Support-Echo3G.patch
        - retained, need to be sent upstream
  * Merge from debian unstable, remaining changes:
    - debian/rules:
      + Don't bail when removing include/alsa
    - debian/control: Add Vcs-Bzr URI
    - Add configuration files for bluetooth/bluez-alsa and pulseaudio
    - debian/libasound2.install: Ship smixer plugins for native and bi-arch
      packages
    - drop libcxxtools-dev build dependency, its in universe
    - add --with-plugindir=\$${prefix}/lib/alsa-lib to configure-stamp
    - Demote libc6-i386 pre-depends to depends for lib32asound2

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 19 May 2010 11:04:50 +1000

alsa-lib (1.0.22-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Bump Standards-Version to 3.8.4, with no changes required.

  [ Elimar Riesebieter]
  * Readded -DUSE_VERSIONED_SYMBOLS only to the bibuild CFLAGS.
    (Closes: #570703)

 -- Jordi Mallach <jordi@debian.org>  Sun, 21 Feb 2010 01:03:48 +0100

alsa-lib (1.0.22-1) unstable; urgency=low

  * New upstream release. (Closes: #549531)

  [ Jordi Mallach ]
  * Remove lintian overrides file; it only contains an obsolete entry.

  [ Daniel T Chen ]
  * debian/control: Add sparc64 to Architecture field for libasound2{,-dev}
    using patch from Aurelien Jarno. Thanks! (Closes: #560405)
  * debian/patches/Dont_leak_timer_fd_on_pcm_slave_close.patch: Properly
    free timer fd when closing pcm slaves. Backported from upstream master
    HEAD (LP: #451893) (Closes: #568101)

  [ Elimar Riesebieter]
  * Switched to source version 3.0.
  * As we are defining CFLAGS in rules -D_GNU_SOURCE added as suposed in
    original Makefile.
  * Removed -DUSE_VERSIONED_SYMBOLS from CFLAGS. It is used in the build system
    now.
  * Removed lintian file installation from rules.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Feb 2010 21:24:39 +0100

alsa-lib (1.0.22-0ubuntu7) lucid; urgency=low

  * Demote libc6-i386 pre-depends to depends for lib32asound2 to
    prevent cycle. Ubuntu has always shipped in /usr/lib32 instead
    of /emul, which makes the pre-depends unnecessary.
    (LP: #554149)

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 06 Apr 2010 10:46:15 -0400

alsa-lib (1.0.22-0ubuntu6) lucid; urgency=low

  * debian/patches/b9dbee6-Fix-threading-drain.patch:
    Prevent drain() from blocking in threads.
  * debian/patches/lp433573-Support-Echo3G.patch:
    Fix missing support for Echo3G devices.  Thanks,
    unimatrix! (LP: #433573)

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 03 Mar 2010 08:20:24 -0500

alsa-lib (1.0.22-0ubuntu5) lucid; urgency=low

  * debian/patches/Fix-pcm-timer-open-subdevice-pcm_hw.patch:
    Fix hw plugin opening webcams.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 28 Feb 2010 17:22:53 -0500

alsa-lib (1.0.22-0ubuntu4) lucid; urgency=low

  * debian/rules: Fix plugindir prefix application as per gutsy.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Feb 2010 20:01:46 -0500

alsa-lib (1.0.22-0ubuntu3) lucid; urgency=low

  * debian/rules: add --with-plugindir=\$${prefix}/lib/alsa-lib to
    configure-stamp. Thanks to Daniel T Chen. (LP: #523716)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 18 Feb 2010 11:54:14 -0600

alsa-lib (1.0.22-0ubuntu2) lucid; urgency=low

  * debian/patches/:
    + Fix-modem-on-hook.patch (2e4843)
    + Fix-stream-state-updates.patch (63acb8)
    + Fix-str-lit-no-format.patch

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 01 Feb 2010 19:42:40 -0500

alsa-lib (1.0.22-0ubuntu1) lucid; urgency=low

  * debian/patches/:

