=== debian/control ===
Source: alsa-lib
Section: libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Mikael Magnusson <mikma@users.sourceforge.net>, Elimar Riesebieter <riesebie@lxtec.de>
Build-Depends: debhelper (>= 7),
               autotools-dev,
               doxygen,
               libc6-dev-powerpc [ppc64],
               libc6-dev-i386 [amd64],
               libc6-dev-amd64 [i386],
               libc6-dev-ppc64 [powerpc],
               libc6-dev-s390x [s390],
               libc6-dev-sparc64 [sparc],
               lib32gcc1 [amd64 ppc64],
               lib64gcc1 [i386 powerpc sparc s390],
               gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc],
               python-dev
Standards-Version: 3.8.4
Homepage: http://www.alsa-project.org/
XS-Debian-Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-lib
XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-lib/
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/alsa-lib/ubuntu.new

Package: libasound2
Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libasound2-plugins (>= 1.0.18)
Conflicts: libasound2-plugins (<< 1.0.18)
Description: shared library for ALSA applications
 This package contains the ALSA library and its standard plugins.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-dev
Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Section: libdevel
Provides: libasound-dev
Depends: libc6-dev | libc-dev, libasound2 (= ${binary:Version}), ${misc:Depends}
Suggests: libasound2-doc
Conflicts: libasound-dev, alsa-headers
Replaces: libasound2 (<< 0.9.0rc7-2), alsa-headers
Description: shared library for ALSA applications -- development files
 This package contains files required for developing software
 that makes use of libasound2, the ALSA library.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: lib64asound2
Architecture: sparc s390 i386 powerpc
Depends: libasound2 (= ${binary:Version}), ${shlibs:Depends}, ${bilib:depends}, ${misc:Depends}
Suggests: lib64asound2-plugins (>= 1.0.18)
Conflicts: libasound2-plugins (<< 1.0.18)
Description: shared library for ALSA applications (64 bit)
 This package contains the ALSA library (64 bit) and its standard
 plugins.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: lib64asound2-dev
Architecture: sparc s390 i386 powerpc
Section: libdevel
Depends: lib64asound2 (= ${binary:Version}), libasound2-dev (= ${binary:Version}), ${bidev:depends}, ${misc:Depends}
Suggests: libasound2-doc
Description: shared library for ALSA applications -- development files (64 bit)
 This package contains files required for developing software
 that makes use of lib64asound2, the ALSA library (64 bit).
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: lib32asound2
Architecture: amd64 ppc64
Depends: libasound2 (= ${binary:Version}), ${shlibs:Depends}, ${bilib:depends}, ${misc:Depends}, libc6-i386 (>= 2.9-18)
Suggests: lib32asound2-plugins (>= 1.0.18)
Conflicts: libasound2-plugins (<< 1.0.18), ia32-libs (<< 1.9), libc6-i386 (<= 2.9-18)
Replaces: ia32-libs (<< 1.9)
Description: shared library for ALSA applications (32 bit)
 This package contains the ALSA library (32 bit) and its standard
 plugins.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: lib32asound2-dev
Architecture: amd64 ppc64
Section: libdevel
Depends: lib32asound2 (= ${binary:Version}), libasound2-dev (= ${binary:Version}), ${bidev:depends}, ${misc:Depends}
Suggests: libasound2-doc
Conflicts: libc6-i386 (<= 2.9-18)
Description: shared library for ALSA applications -- development files (32 bit)
 This package contains files required for developing software
 that makes use of lib32asound2, the ALSA library (32 bit).
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libasound2-dev
Description: developer documentation for user-space ALSA application programming
 This package contains documentation for the ALSA library.
 .
 ALSA is the Advanced Linux Sound Architecture.
