## alsa-lib 1.0.24.1

=== debian/changelog ===
alsa-lib (1.0.24.1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Spell out the plugin dir path: the build system fails to expand
    substitutions, and '${libdir}' is obviously not present on the
    filesystem.

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Jul 2011 23:35:32 +0200

alsa-lib (1.0.24.1-1) unstable; urgency=low

  * New upstream release (partially based on Ubuntu updates)
    (closes: #633294).
  * Removed patches that were cherrypicked from Git or have been applied
    upstream:
    - thread-specific-locale.patch
    - thread-safe-locale.patch
    - refcount-dlobjs.patch
    - libtool-out-of-tree.patch
  * Import patch from Ubuntu:
    - lp178442-ICE1712.patch: Make pulseaudio succeed in opening
      ICE1712 chips such as Maudio 2496 and Delta 1010LT.
  * Refreshed patches:
    - relibtoolise.patch (David Henningsson).
  * Update shlibs to 1.0.24.1 (new symbols added).
  * Bump to debhelper compat v8.
  * Remove debian/tmp prefixes from .install file.
  * Add multiarch support:
    - Build-Depend on debhelper 8.1.3.
    - Add Pre-Depends: ${misc:Pre-Depends} to libasound2.
    - Declare DEB_HOST_MULTIARCH and use it to define $libdir.
    - Add an explicit --with-plugindir argument to base plugindir on the
      multiarch dir.
    - Update libasound2-dev.install.
    - Mark libasound2 Multi-Arch: same.
  * Break current versions of packages providing ALSA plugins.
  * Remove libasound2's .la file, as any reference will be now broken.

 -- Jordi Mallach <jordi@debian.org>  Sat, 16 Jul 2011 05:35:10 +0200

alsa-lib (1.0.23-4) unstable; urgency=low

  [ Jordi Mallach ]
  * Switch to architecture wildcard 'linux-any'.

  [ Elimar Riesebieter ]
  * Provide libasound2-udeb based on a patch from Samuel Thibault. Thanks.
    (closes: #613092)

  [ Jordi Mallach ]
  * Add -DHAVE_USELOCALE to CFLAGS (really closes: #595252). The correct
    fix would be to autoreconf entirely, but the mess of patches is bad
    enough already and this should be done better in the future when we
    go multiarch and we can cleanup debian/rules from the biarch horror.
  * Remove unneeded Suggests and Conflicts from -udeb.
  * Set Section to debian-installer.
  * Update upstream URL in copyright file.
  * Replace versioned conflicts with Breaks, and remove some obsolete ones.
  * Use versioned pointer to LGPL 2.1 licence.
  * Bump Standards-Version to 3.9.2 (no further changes).

 -- Jordi Mallach <jordi@debian.org>  Sat, 07 May 2011 16:53:13 +0200

alsa-lib (1.0.23-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added armhf to supported arch's of libasound2 and libasound2-dev
    (closes: #596968)

  [ Jordi Mallach ]
  * Acknowledge Simon's NMU. Thanks a lot!

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Apr 2011 19:41:43 +0200

alsa-lib (1.0.23-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add refcount-dlobjs.patch: backported upstream patch, originally by
    Jaroslav Kysela, to fix crashes when plugins are unloaded.
    (Closes: #589896, LP: #552411, #584393)
  * Add libtool-out-of-tree.patch: fix libtool version checking for the biarch
    build by grepping ltmain.sh in the ${srcdir}, making it unnecessary to
    force -DUSE_VERSIONED_SYMBOLS for the biarch build

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Oct 2010 08:30:54 +0100

alsa-lib (1.0.23-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Make setlocale() thread safe:
    Applied thread-safe-locale.patch and thread-specific-locale.patch from
    upstream. (Closes: #595252)
  * Bump Standards-Version to 3.9.1, with no changes required.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Sep 2010 12:22:18 +0200
