=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,12 @@
 PACKAGE:= alsa-lib
 #include /usr/share/quilt/quilt.make
 
+export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH) 
 
 biarch_map := i386=amd64 powerpc=ppc64 sparc=sparc64 s390=s390x \
 		amd64=i386 ppc64=powerpc
@@ -53,12 +54,13 @@
 	ln -s /usr/share/misc/config.sub config.sub
 	ln -s /usr/share/misc/config.guess config.guess
 	./configure --prefix=/usr \
+		    --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		    --mandir=\$${prefix}/share/man \
 		    --infodir=\$${prefix}/share/info \
 		    --datadir=\$${prefix}/share \
+		    --with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib \
 		    --build $(DEB_BUILD_GNU_TYPE) \
-		    --enable-static --disable-maintainer-mode \
-		    --with-plugindir=/usr/lib/alsa-lib
+		    --enable-static --disable-maintainer-mode
 	touch configure-stamp
 
 configure-biarch-stamp:
@@ -94,7 +96,7 @@
 
 build-biarch-stamp: configure-biarch-stamp
 	dh_testdir
-	$(MAKE) -C bibuild CFLAGS="$(CFLAGS) -DUSE_VERSIONED_SYMBOLS"
+	$(MAKE) -C bibuild
 	touch build-biarch-stamp
 
 build-arch: $(build_biarch_stamp) build-arch-stamp
@@ -116,37 +118,35 @@
 ifneq (,$(build_biarch_stamp))
 	rm -rf debian/bitmp
 	$(MAKE) -C bibuild/src install DESTDIR=$(CURDIR)/debian/bitmp
-	$(MAKE) -C bibuild/modules install DESTDIR=$(CURDIR)/debian/bitmp
-	mkdir -p debian/lib$(bi)asound2/$(bilibdir)/alsa-lib/smixer/
+	mkdir -p debian/lib$(bi)asound2/$(bilibdir)
 	cp -a debian/bitmp/usr/lib/libasound.so.* \
 	    debian/lib$(bi)asound2/$(bilibdir)/
-	cp -a debian/bitmp/$(bilibdir)/alsa-lib/smixer/*.so \
-	    debian/lib$(bi)asound2/$(bilibdir)/alsa-lib/smixer/
-	mkdir -p debian/lib$(bi)asound2-dev/$(bilibdir)/alsa-lib/smixer
+	mkdir -p debian/lib$(bi)asound2-dev/$(bilibdir)
 #	mkdir -p debian/lib$(bi)asound2-dev/$(bilibdir)/pkgconfig
-	cp -a \
-	  debian/bitmp/usr/lib/libasound.so \
-	  debian/bitmp/usr/lib/libasound.a \
-	    debian/lib$(bi)asound2-dev/$(bilibdir)/
+	cp -a debian/bitmp/usr/lib/libasound.so \
+	    debian/bitmp/usr/lib/libasound.a \
+	    debian/lib$(bi)asound2-dev/$(bilibdir)
 	sed -e "/^libdir=/s,=.*,='/$(bilibdir)',;s,^dependency_libs=.*,dependency_libs=''," \
 	  debian/bitmp/usr/lib/libasound.la \
 	    > debian/lib$(bi)asound2-dev/$(bilibdir)/libasound.la
-	mkdir -p debian/lib$(bi)asound2/etc/ld.so.conf.d
-	echo "/$(bilibdir)/alsa-lib" > debian/lib$(bi)asound2/etc/ld.so.conf.d/lib$(bi)asound2.conf
 #	sed -e "/^libdir=.*lib$$/s,=.*,=/$(bilibdir)," \
 #	  debian/bitmp/usr/lib/pkgconfig/alsa.pc \
 #	    > debian/lib$(bi)asound2-dev/$(bilibdir)/pkgconfig/alsa.pc
-else
-	sed -ie "s,^dependency_libs=.*,dependency_libs=''," \
-	  debian/tmp/usr/lib/libasound.la
-endif
-	mkdir -p debian/libasound2/etc/ld.so.conf.d
-	echo "/usr/lib/alsa-lib" > debian/libasound2/etc/ld.so.conf.d/libasound2.conf
+endif
 	dh_installdirs -s
 	dh_install -s
 	dh_installdocs -plibasound2
 	dh_installexamples -s doc/asoundrc.txt
 	dh_installchangelogs -plibasound2 debian/changelog.ALSA
+	dh_install -plibasound2 \
+	    /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.so.2.0.0 \
+	    /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.so.2 \
+	    /usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -plibasound2-udeb \
+	    /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.so.2.0.0 \
+	    /usr/lib/$(DEB_HOST_MULTIARCH)/libasound.so.2 /usr/lib
+	cp -a debian/tmp/usr/share/alsa debian/libasound2/usr/share/
+	cp -a debian/tmp/usr/share/alsa debian/libasound2-udeb/usr/share/
 	dh_strip -s
 	dh_link -s
 	dh_compress -s
@@ -167,9 +167,9 @@
 	dh_fixperms -i
 
 binary-arch: build-arch-stamp install-arch
-	dh_makeshlibs -plibasound2  -V'libasound2 (>> 1.0.22)' --exclude=usr/lib/alsa-lib/smixer
+	dh_makeshlibs -plibasound2  -V'libasound2 (>> 1.0.24.1)' --add-udeb=libasound2-udeb
 ifneq (,$(build_biarch_stamp))
-	dh_makeshlibs -plib$(bi)asound2  -V'lib$(bi)asound2 (>> 1.0.22)' --exclude=usr/lib$(bi)/alsa-lib/smixer
+	dh_makeshlibs -plib$(bi)asound2  -V'lib$(bi)asound2 (>> 1.0.24.1)'
 endif
 
 	dh_installdeb -s
@@ -193,7 +193,7 @@
 	#-$(MAKE) distclean
 	[ ! -f Makefile ] || $(MAKE) distclean
 	-rm -f *-stamp
-	rm -f config.sub config.guess config.status config.cache
+	-rm -f config.sub config.guess config.status config.cache
 	-rm -rf doc/doxygen
 	rm -rf bibuild debian/bitmp
 	-rm -f include/alsa
