## alsa-lib 1.0.25

=== debian/changelog ===
alsa-lib (1.0.25-4ubuntu3) raring; urgency=low

  * sys_types_include.patch: Explicitly include <sys/types.h> (LP: #1109298)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 09 Feb 2013 20:07:54 -0700

alsa-lib (1.0.25-4ubuntu2) raring; urgency=low

  [ Marcin Juszkiewicz ]
  * Add Samsung Chromebook UCM configuration - LP: #1085392

  [ Adam Conrad ]
  * Re-introduce PandaES UCM profiles dropped in a previous merge.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Sat, 01 Dec 2012 13:22:52 +0100

alsa-lib (1.0.25-4ubuntu1) raring-proposed; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Add Vcs-Bzr URI
    - Ship smixer plugins for native and bi-arch packages
    - Add Echo3G support
    - Show hints for non-standard devices that lack configuration files
    - Add Pandaboard and Pandaboard ES UCM configuration
    - Hide digital devices on some common, analog-only USB devices
    - Ship proper ucm default configuration to make sound work out of the box on
      ac100 netbooks
    - Add a compile/run autopkg test

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 05 Nov 2012 12:31:05 +1100

alsa-lib (1.0.25-4) unstable; urgency=low

  * Add htcl_remove_useless_assert.patch: apply patch from git to remove
    incorrect assert which causes KMix to crash on KDE logins
    (thanks, Ralf Jung; closes: #681078).

 -- Jordi Mallach <jordi@debian.org>  Fri, 03 Aug 2012 23:35:47 +0200

alsa-lib (1.0.25-3ubuntu5) raring-proposed; urgency=low

  * Add a compile/run autopkg test, thanks to Rafał Cieślak. (LP: #1073346)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 31 Oct 2012 13:49:43 +0100

alsa-lib (1.0.25-3ubuntu4) raring; urgency=low

  * Drop the libasound2-python package; this isn't built in Debian, it
    doesn't look like anything uses the module, it isn't ported to python3,
    and the python-dev build-dependency prevents cross-building alsa-lib.
  * debian/patches/fix-broken-cross-compiler-detection.patch: Drop a
    broken non-standard attempt to find a cross-compiler.
  * Update Vcs-Bzr field for new branch.  Instead of putting the release name
    in the branch, just use 'ubuntu' so that this doesn't have to be updated
    for each new series and SRU branches can be created only when needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 Oct 2012 21:43:27 -0700

alsa-lib (1.0.25-3ubuntu3) quantal; urgency=low

  * debian/ucm/tegraalc5632/tegraalc5632.conf: fix recording, set sane volume
    defaults (LP: #1046412)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 12 Sep 2012 12:10:18 +0200

alsa-lib (1.0.25-3ubuntu2) quantal; urgency=low

  * debian/ucm/PandaES -> debian/ucm/PandaBoardES
  * Change contents of PandaBoard ES files as above.
  * Make similar changes for PandaBoard as well, Panda -> PandaBoard.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 09 Aug 2012 19:17:34 +1000

alsa-lib (1.0.25-3ubuntu1) quantal; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Add Vcs-Bzr URI
    - Ship smixer plugins for native and bi-arch packages
    - Create libasound2-python package for the python mixer plugin
    - Add Echo3G support
    - Show hints for non-standard devices that lack configuration files
    - Add Pandaboard and Pandaboard ES UCM configuration
    - Hide digital devices on some common, analog-only USB devices
    - Ship proper ucm default configuration to make sound work out of the box on
      ac100 netbooks

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 22 Jun 2012 16:31:22 +1000

alsa-lib (1.0.25-3) unstable; urgency=low

  * Merge from Ubuntu:
    - Remove trailing whitespace character from the end of the
      DEB_HOST_MULTIARCH definition, as it was breaking the plugin
      directory path.
  * Mark libasound2-dev Multi-Arch: same (closes: #666763).
  * Enable hardening flags, using a patch from Simon Ruderich,
    (closes: #662685).
  * Build-Depend on dpkg-dev (>= 1.16.1) for buildflags.mk usage.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Sat, 19 May 2012 18:12:58 +0200

alsa-lib (1.0.25-2) unstable; urgency=low

  * Upload to unstable.
  * Stop Build-Depending on libcxxtools-dev. Why we were doing this is a
    mystery.
  * Put the bi-arch horror on a diet: remove all lib64* stuff, and support
    lib32* for amd64 only (there's no point in supporting ppc64 in light
    of Multiarch). Simplify debian/rules bi-arch bits assuming the install
    dir is /usr/lib32 and doing no other calculations.
  * Handle installation of bi-arch files with .install files.
  * Use sed -i to modify bi-arch build Makefile.
  * Use dh_installdocs to install Doxygen documentation.
  * Stop suggesting lib32asound2-plugins, as it's going away.
  * Continue digging through lists of symbols of previous alsa-lib
    releases. libasound2.symbols is now based on 1.0.16, the version released
    with lenny.
  * Bump debhelper to version 9.

 -- Jordi Mallach <jordi@debian.org>  Sun, 12 Feb 2012 01:50:17 +0100

alsa-lib (1.0.25-1ubuntu11) quantal; urgency=low

  * Update vcs-bzr field to quantal
  * 0001-USB-Audio-Blacklist-iec958-for-some-USB-devices.patch:
    Add more USB devices to the IEC958 blacklist (LP: #987163)

 -- David Henningsson <david.henningsson@canonical.com>  Fri, 11 May 2012 14:20:20 -0700

alsa-lib (1.0.25-1ubuntu10) precise; urgency=low

  * Undo accidental revert of PandaES changes from the previous upload.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 16 Mar 2012 14:53:37 -0600

alsa-lib (1.0.25-1ubuntu9) precise; urgency=low

  * 0001-USB-Audio-Blacklist-iec958-for-some-USB-devices.patch:
    Hide digital devices on some common, analog-only USB devices 
    (LP: #940145) 

 -- David Henningsson <david.henningsson@canonical.com>  Fri, 09 Mar 2012 11:50:30 +0100

alsa-lib (1.0.25-1ubuntu8) precise; urgency=low

  * add tegraalc5632 dir and tegraalc5632.conf to debian/ucm/, shipping a 

