=== debian/control ===
Source: alsa-lib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>,
           Elimar Riesebieter <riesebie@lxtec.de>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               dpkg-dev (>= 1.16.1),
               gcc-multilib [amd64],
               lib32gcc1 [amd64],
               libc6-dev-i386 [amd64]
Standards-Version: 3.9.3
Homepage: http://www.alsa-project.org/
XS-Debian-Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-lib
XS-Debian-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-lib/
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-lib/ubuntu

Package: libasound2
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libasound2-plugins (>= 1.0.18)
Breaks: bluez-alsa (<= 4.94-2),
        libasound2-plugin-equal (<= 0.6-1),
        libasound2-plugins (<< 1.0.24)
Description: shared library for ALSA applications
 This package contains the ALSA library and its standard plugins, as well
 as the required configuration files.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-dev
Architecture: linux-any
Section: libdevel
Multi-Arch: same
Provides: libasound-dev
Depends: libasound2 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: libasound2-doc
XS-Testsuite: autopkgtest
Description: shared library for ALSA applications -- development files
 This package contains files required for developing software
 that makes use of libasound2, the ALSA library.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libasound2 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libasound2
 This package contains the debugging symbols for the ALSA library.
 .
 Most people will not need this package.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: lib32asound2
Architecture: amd64
Depends: libasound2 (= ${binary:Version}),
         ${bilib:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ia32-libs (<< 1.9),
        libasound2-plugins (<< 1.0.18),
        libc6-i386 (<= 2.9-18)
Replaces: ia32-libs (<< 1.9)
XS-Testsuite: autopkgtest
Description: shared library for ALSA applications (32 bit)
 This package contains the ALSA library (32 bit) and its standard
 plugins.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: lib32asound2-dev
Architecture: amd64
Section: libdevel
Depends: lib32asound2 (= ${binary:Version}),
         libasound2-dev (= ${binary:Version}),
         ${bidev:Depends},
         ${misc:Depends}
Suggests: libasound2-doc
Breaks: libc6-i386 (<= 2.9-18)
Description: shared library for ALSA applications -- development files (32 bit)
 This package contains files required for developing software
 that makes use of lib32asound2, the ALSA library (32 bit).
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Package-Type: udeb
Description: shared library for ALSA applications (udeb)
 This package contains the ALSA library for use in the Debian Installer.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: libasound2-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Suggests: libasound2-dev
Description: documentation for user-space ALSA application programming
 This package contains the HTML documentation for the ALSA library, which
 describes the development API for user-space applications that want to
 use ALSA.
 .
 ALSA is the Advanced Linux Sound Architecture.
